Loading...
Searching...
No Matches
ConditionalStorage.hpp File Reference

A simple class which only stores a given member attribute if a boolean condition is true. More...

`#include <opm/common/utility/gpuDecorators.hpp>`
`#include <opm/common/ErrorMacros.hpp>`
`#include <cassert>`
`#include <stdexcept>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | Opm::ConditionalStorage< cond, T >
| A simple class which only stores a given member attribute if a boolean condition is true. More...
class | Opm::ConditionalStorage< false, T >

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

A simple class which only stores a given member attribute if a boolean condition is true.

If the condition is false, nothing is stored and an exception is thrown when trying to access the object.